Bug 164995 - Hardcoded colors in Kenai window
Hardcoded colors in Kenai window
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@connecteddeveloper
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 19:25 UTC by _ tboudreau
Modified: 2009-05-29 13:33 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screen shot (196.37 KB, image/png)
2009-05-12 19:25 UTC, _ tboudreau
Details
Ugly grey kenai dashboard. RC1 build (171.96 KB, image/png)
2009-05-27 09:36 UTC, Jan Becicka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2009-05-12 19:25:00 UTC
I'm using an intentionally neutral-color theme;  however, the Kenai window appears bright as blazes (see attached screen
shot).

Simple fix:
 - For white, use either UIManager.getColor("text") or UIManager.getColor("white")
 - For black, use either UIManager.getColor("textText") or UIManager.getColor("black")

and it will play much more nicely with all look and feels, unusual desktop themes, etc.
Comment 1 _ tboudreau 2009-05-12 19:25:50 UTC
Created attachment 82000 [details]
screen shot
Comment 2 Stanislav Aubrecht 2009-05-13 12:25:05 UTC
fixed

core-main f14a95ecb4c7
Comment 3 Quality Engineering 2009-05-14 07:54:26 UTC
Integrated into 'main-golden', will be available in build *200905140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f14a95ecb4c7
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #164995 - respect OS color schema
Comment 4 Jan Becicka 2009-05-15 12:21:20 UTC
hm. Now my background on GTKLookAndFeel is grey, while Project window is white. Looks bad.
Comment 5 _ tboudreau 2009-05-15 18:44:14 UTC
See if GTK is returning null for the requested color - its implementation of UIManager keys and values is pretty
screwey;  or if you used "white" try "text".
Comment 6 Stanislav Aubrecht 2009-05-19 13:09:40 UTC
fixed

core-main 2967d5341177
Comment 7 Quality Engineering 2009-05-20 07:20:29 UTC
Integrated into 'main-golden', will be available in build *200905200201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2967d5341177
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #164995 - grey background on GTK l&f
Comment 8 Jan Becicka 2009-05-27 09:35:41 UTC
Looks really ugly on GTK look and feel.
Comment 9 Jan Becicka 2009-05-27 09:36:37 UTC
Created attachment 82844 [details]
Ugly grey kenai dashboard. RC1 build
Comment 10 Jan Becicka 2009-05-27 12:55:41 UTC
probably can be fixed by setting background to Tree.textBackground, which is white on GTKLookAndFeel while
Tree.background is grey.
Comment 11 Marian Mirilovic 2009-05-27 13:04:04 UTC
please fix it into NB 6.7 
Comment 12 Stanislav Aubrecht 2009-05-27 15:40:29 UTC
fixed in core-main 27d71a949ad2
Comment 13 Petr Dvorak 2009-05-28 11:28:31 UTC
QA has verified the fix on various look and feels and it seems OK. Please submit the fix for the review and transplant
it to 6.7.
Comment 14 Stanislav Aubrecht 2009-05-28 11:48:41 UTC
fixed in release67 clone fe4daad29d6e
Comment 15 Quality Engineering 2009-05-28 18:45:35 UTC
Integrated into 'main-golden', will be available in build *200905281401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/27d71a949ad2
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #164995 - kenai dashboard background on gtk l&f
Comment 16 Petr Dvorak 2009-05-29 13:33:33 UTC
Verified

Product Version: NetBeans IDE 6.7 RC1 (Build 200905282243)
Java: 1.6.0_13; Java HotSpot(TM) Client VM 11.3-b02
System: Linux version 2.6.28-11-generic running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo